import { ChangeDetectionStrategy, Component, Input } from '@angular/core';
import { CommonModule } from '@angular/common';

@Component({
  selector: 'app-playing-card',
  standalone: true,
  imports: [CommonModule],
  template: `
    <div
      class="w-24 h-36 rounded-lg p-2 relative flex flex-col justify-between shadow-lg"
      [class]="hidden ? 'bg-red-800' : 'bg-white'"
    >
      <span *ngIf="!hidden" class="text-xl font-bold text-accent-red">{{ value }}</span>
      <span
        *ngIf="!hidden"
        class="absolute top-1/2 left-1/2 -translate-x-1/2 -translate-y-1/2 text-3xl text-accent-red"
        >{{ suit }}</span
      >
      <span *ngIf="!hidden" class="text-xl font-bold text-accent-red self-end rotate-180">{{
        value
      }}</span>
    </div>
  `,
  changeDetection: ChangeDetectionStrategy.OnPush,
})
export class PlayingCardComponent {
  @Input({ required: true }) value!: string;
  @Input({ required: true }) suit!: string;
  @Input({ required: true }) hidden!: boolean;
}
